package org.wfc.payment;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.wfc.common.security.annotation.EnableCustomConfig;
import org.wfc.common.security.annotation.EnableRyFeignClients;

/**
 * Payment module
 * 
 * @author wfc
 */
@EnableCustomConfig
@EnableRyFeignClients
@SpringBootApplication
public class WfcPaymentApplication
{
    private static final Logger logger = LoggerFactory.getLogger(WfcPaymentApplication.class);

    public static void main(String[] args)
    {
        SpringApplication.run(WfcPaymentApplication.class, args);
        logger.info("(♥◠‿◠)ﾉﾞ  Payment module startup successfully ლ(´ڡ`ლ)ﾞ  \n");
    }
}
